VC_SET_VISUALTYPE(3)

FUNCTION
vc_set_visualtype - Set the current visual of the viewable colourmap.

SYNOPSIS
#include <karma_vc.h>

void vc_set_visualtype

(Kdisplay dpy_handle, unsigned int visual, flag overlay)

DESCRIPTION
Set the current visual of the viewable colourmap.

dpy_handle
    The low level display handle.

visual
    The visual type for the canvas. Legal values are: VC_VX_VISUAL_PSEUDOCOLOUR0 8 bits deep (alpha/overlay channel) VC_VX_VISUAL_PSEUDOCOLOUR1 8 bits deep (blue channel) VC_VX_VISUAL_PSEUDOCOLOUR2 8 bits deep (green channel) VC_VX_VISUAL_PSEUDOCOLOUR3 8 bits deep (red channel) VC_VX_VISUAL_DIRECTCOLOUR 24 bits deep

overlay
    If TRUE and PseudoColour channel 0 is NOT selected, the overlay channel is displayed. A non-zero pixel in the overlay channel will override the PseudoColour/DirectColour pixel.

RETURN VALUE
Nothing.

Multi-threading Level
Unsafe.

NOTE
PseudoColour channels 1, 2 and 3 occupy the same area of screen memory as the DirectColour channel. When viewing a PseudoColour canvas, the lower appropriate 8 bits are used. When viewing a DirectColour canvas, the lower 24 bits (big endian) are used. Bits 0-7, 8-15 and 16-23 contain the red, green and blue components, respectively.

AUTHOR
Richard Gooch (rgooch@atnf.csiro.au)

AVAILABLITY
The Karma Distribution is available for anonymous ftp from: ftp://ftp.atnf.csiro.au/pub/software/karma/ ftp://wuarchive.wustl.edu/graphics/graphics/packages/karma/ ftp://ftp.pwr.wroc.pl/pub/karma/ The Karma Home Page is: http://www.atnf.csiro.au/karma/